Bug 1360905 - Receiving error messages from SELINUX, when SELINUX is disabled
Summary: Receiving error messages from SELINUX, when SELINUX is disabled
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 24
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-27 19:14 UTC by Gerald Cox
Modified: 2016-08-08 23:53 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-08-01 16:24:08 UTC


Attachments (Terms of Use)

Description Gerald Cox 2016-07-27 19:14:28 UTC
Description of problem:
Installing Chromium here:  https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a9adbe000

When installing or upgrading the package I a deluged with SELINUX error messages.  Why am I getting SELINUX error messages when SELINUX is disabled on my system?

SELinux:  Could not downgrade policy file /etc/selinux/targeted/policy/policy.30, searching for an older version.
SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.30:  No such file or directory
/sbin/load_policy:  Can't load policy:  No such file or directory
libsemanage.semanage_reload_policy: load_policy returned error code 2. (No such file or directory).
SELinux:  Could not downgrade policy file /etc/selinux/targeted/policy/policy.30, searching for an older version.
SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.30:  No such file or directory
/sbin/load_policy:  Can't load policy:  No such file or directory
libsemanage.semanage_reload_policy: load_policy returned error code 2. (No such file or directory).
FileNotFoundError: [Errno 2] No such file or directory
SELinux:  Could not downgrade policy file /etc/selinux/targeted/policy/policy.30, searching for an older version.
SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.30:  No such file or directory
/sbin/load_policy:  Can't load policy:  No such file or directory
libsemanage.semanage_reload_policy: load_policy returned error code 2. (No such file or directory).
SELinux:  Could not downgrade policy file /etc/selinux/targeted/policy/policy.30, searching for an older version.
SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.30:  No such file or directory
/sbin/load_policy:  Can't load policy:  No such file or directory
libsemanage.semanage_reload_policy: load_policy returned error code 2. (No such file or directory).
FileNotFoundError: [Errno 2] No such file or directory
SELinux:  Could not downgrade policy file /etc/selinux/targeted/policy/policy.30, searching for an older version.
SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.30:  No such file or directory
/sbin/load_policy:  Can't load policy:  No such file or directory
libsemanage.semanage_reload_policy: load_policy returned error code 2. (No such file or directory).
SELinux:  Could not downgrade policy file /etc/selinux/targeted/policy/policy.30, searching for an older version.
SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.30:  No such file or directory
/sbin/load_policy:  Can't load policy:  No such file or directory
libsemanage.semanage_reload_policy: load_policy returned error code 2. (No such file or directory).
FileNotFoundError: [Errno 2] No such file or directory


Version-Release number of selected component (if applicable):

libselinux-utils-2.5-9.fc24.x86_64
selinux-policy-doc-3.13.1-191.5.fc24.noarch
selinux-policy-devel-3.13.1-191.5.fc24.noarch
libselinux-2.5-9.fc24.x86_64
libselinux-python3-2.5-9.fc24.x86_64
libselinux-devel-2.5-9.fc24.x86_64
libselinux-python-2.5-9.fc24.x86_64
libselinux-2.5-9.fc24.i686
selinux-policy-3.13.1-191.5.fc24.noarch
selinux-policy-targeted-3.13.1-191.5.fc24.noarch
rpm-plugin-selinux-4.13.0-0.rc1.27.fc24.x86_64

How reproducible:
Install or upgrade Chromium

Steps to Reproduce:
dnf install chromium or dnf upgrade chromium

Actual results:
Error messages above

Expected results:
No error messages from selinux... it is disabled on my system

Additional info:

Comment 1 Daniel Walsh 2016-07-28 12:59:45 UTC
Chromium is trying to do SELinux commands in its post install, it should be checking if SELinux is enabled.

if selinuxenabled; then
fi

Comment 2 Gerald Cox 2016-07-28 15:31:50 UTC
(In reply to Daniel Walsh from comment #1)
> Chromium is trying to do SELinux commands in its post install, it should be
> checking if SELinux is enabled.
> 
> if selinuxenabled; then
> fi

Thanks @Daniel for the quick reply.  @Tom, if you can please correct this and post in Bodhi/Koji I can test and leave feedback for you.

Comment 3 Fedora Update System 2016-07-28 21:02:06 UTC
chromium-52.0.2743.82-9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ccb3e3d8e1

Comment 4 Fedora Update System 2016-07-28 21:02:22 UTC
chromium-native_client-52.0.2743.82-1.20160725git7d72623.fc24 chromium-52.0.2743.82-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dc48263ff8

Comment 5 Gerald Cox 2016-07-28 22:31:51 UTC
Problem resolved.  Thanks!

Comment 6 Fedora Update System 2016-07-30 19:27:36 UTC
chromium-52.0.2743.82-9.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ccb3e3d8e1

Comment 7 Fedora Update System 2016-07-30 19:28:00 UTC
chromium-52.0.2743.82-9.fc24, chromium-native_client-52.0.2743.82-1.20160725git7d72623.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dc48263ff8

Comment 8 Fedora Update System 2016-08-01 16:23:36 UTC
chromium-52.0.2743.82-9.fc24, chromium-native_client-52.0.2743.82-1.20160725git7d72623.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-08-08 23:53:09 UTC
chromium-52.0.2743.82-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.